Skip to main content
POST
/
api
/
products
/
{product_key}
/
variants
/
confirm-matrix
Confirm Matrix
curl --request POST \
  --url https://api.merchantops.ai/api/products/{product_key}/variants/confirm-matrix \
  --header 'Content-Type: application/json' \
  --data '
{
  "variants": [
    {}
  ],
  "product_type_key": "<string>"
}
'
{
  "created": 123,
  "errors": [
    {}
  ]
}

Headers

authorization
string | null
X-Organization-ID
string | null

Path Parameters

product_key
string
required

Cookies

stytch_session
string | null

Body

application/json

Request model for confirming and persisting a variant matrix.

variants
Variants · object[]
required

The previewed variant dicts to persist

product_type_key
string | null

ProductType key to assign to each variant

Response

Successful Response

Response model for batch variant operations.

created
integer
required

Number of variants successfully created

errors
Errors · object[]

List of errors for failed variants